Packages - Bug #1959

[arora]: Crashes on some pages
2018-08-16 11:31 PM - libreuser

Status: open % Done: 0%

Priority: bug

Assignee:

Category:

Description

After open 'arora' (web browser) and try to navigate, crash happens.

Console report:

ONetworkReplyImplPrivate::error: Internal problem, this method must only be called once.
ONetworkReplyImplPrivate::error: Internal problem, this method must only be called once.
AutoFillManager: Unable to determine the request Referer
ONetworkReplyImplPrivate::error: Internal problem, this method must only be called once.
QNetworkReplyImplPrivate::error: Internal problem, this method must only be called once.

Violacién de segmento

History

#1 - 2018-08-16 11:39 PM - freemor

- Status changed from open to info needed
| am unable to reproduce this issue. Acutall writing this from Arora
What type of maching?

What DE?
Any other useful info you can provide.

#2 - 2018-08-16 11:46 PM - libreuser

kde plasma
openrc

| saw into its web: https:/github.com/Arora/arora/releases

that the last release was on 27 Sep 2010. / Is that appropriate?
#3 - 2018-08-17 12:06 AM - freemor

The Desktop Environment and openrc might be hellpful

The git and the last release date is less useful.

| was meaning more the exact steps to reproduce. Such as navigate to where?
Also are you on i686, armv7h, x86_64?

#4 - 2018-08-17 12:24 AM - libreuser
x86_64

https://cotarelo.blogspot.com/
http://gnula.nu/aventuras/ver-adrift-a-la-deriva-2018-online/

#5 - 2018-08-17 01:08 AM - freemor
- Status changed from info needed to open

- Subject changed from [arora]: Crash to [arora]: Crashes on some pages

Ok that was helpful.

The second site crashes the browser pretty much every time.

But it is also exactly the type of site that is known for doing evil things to browsers.

| don't have the time tonight to dig into to.

But since the browser handled things like youtube or and hasn't see a new version in about 8 years.
I'm suspecting the site is just too "heavy" for the browser.

#6 - 2018-08-17 01:45 AM - freemor

Did a quick look with the web inspector in Surf.

Site is following the classic pattern for this type of site.

91 separate errors many dealing with same-origin policy

| think it may be more of a site problem (but Arora could maybe handle the situation more gracefully)

#7 - 2018-09-07 07:10 PM - freemor

Looking at this projects github page it looks like a mostly dead project.
Should we delete this from PCR?

Unless anyone objects I'm inclined to close this bug as an upstream issue with no active upstream.
#8 - 2022-05-08 08:33 PM - Zuss
There's been no commits since 2017, trying to install the packages produces unresolvable dependencies:

warning: cannot resolve "gt4", a dependency of "gtwebkit"
warning: cannot resolve "gtwebkit", a dependency of "arora"

bill-auger mentioned as well that he would be in favour of dropping this package too: https:/labs.parabola.nu/issues/2165#note-10

2024-04-20

22


https://labs.parabola.nu/users/282
https://labs.parabola.nu/issues/2165#note-10
http://www.tcpdf.org

